Package org.apache.cxf.endpoint

# Interface Client.Contexts

All Superinterfaces:
  `AutoCloseable`

Enclosing interface:
  Client

public static interface Client.Contexts extends AutoCloseable
Wrappers the contexts in a way that allows the contexts to be cleared and released in an try-with-resources block

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Object>`
  `getRequestContext()`
  `Map<String,Object>`
  `getResponseContext()`

  ### Methods inherited from interface java.lang.AutoCloseable

  `close`

- ## Method Details

  - ### getRequestContext

    Map<String,Object> getRequestContext()

  - ### getResponseContext

    Map<String,Object> getResponseContext()